#
# spec file for package python-uritemplate
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-uritemplate
Version:        0.6
Release:        7.5
Summary:        URI Template Expansison
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/uritemplate
Source0:        uritemplate-%{version}.tar.gz
Requires:       python-simplejson
BuildRequires:  python-setuptools
BuildRequires:  python-simplejson
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This is a Python implementation of RFC6570, URI Template, and can expand
templates up to and including Level 4 in that specification

%prep
%setup -q -n uritemplate-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu Feb 20 2014 rschweikert@suse.com
- Include in SLE 12 (FATE #316168)
* Wed Feb  5 2014 rschweikert@suse.com
- Initial build
